Bug 830473 - Zemberek Support in Enchant Package
Zemberek Support in Enchant Package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: enchant (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 20:02 EDT by Anıl Özbek
Modified: 2013-08-01 08:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:57:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anıl Özbek 2012-06-09 20:02:56 EDT
Description of problem:
I've installed zemberek, zemberek-server, and zpspell on my Fedora 17 system but I can't get system-wide Turkish spell check due to lack of libenchant_zemberek library/plugin.

Steps to Reproduce:
1. Install zemberek, zemberek-server, and zpspell from here: https://www.dropbox.com/sh/nsgkfek920i2qsd/PC3cZP2nTU/fedora

2. Open Kate and select Turkish at Spellcheck otions (Settings > Configure Kate > Editing > Spellcheck)

3. Enable Automatic Spell Checking at Tools menu.

4. Write something and then you will get "No language dictionaries for the language tr" warning message from console. And no redlines under misspelled phrases.


  
Expected results:
Adding Zemberek sub package to Enchant. I guess this adds only one more dependency to package: dbus-glib

And then almost everything will be ready for system-wide Turkish spell check at Fedora 17:
 
http://wstaw.org/m/2012/06/10/plasma-desktopnv1016.png
Comment 1 Michael Schwendt 2012-12-17 16:34:55 EST
Has a resolution been found here?

Fedora package explicitly builds with --disable-zemberek. It's an experimental feature, but the spec file doesn't tell why it is disabled.

I also wonder why a "yum search zemberek" does not find anything. Working on including related packages in the Fedora package collection could happen in parallel.

| build_zemberek=no
|
| AC_ARG_ENABLE(zemberek, AS_HELP_STRING([--disable-zemberek],
| [enable the experimental zemberek (turkish) backend @<:@default=auto@:>@]),
| build_zemberek="$enableval", build_zemberek=no)
|
| if test "x$have_cxx" = "xno"; then
|    build_zemberek=no
| fi
| AC_MSG_CHECKING([For DBus-Glib >= 0.62])
| if pkg-config --atleast-version=0.62 dbus-glib-1; then
|         ZEMBEREK_CFLAGS=`pkg-config --cflags dbus-glib-1`
|         ZEMBEREK_LIBS=`pkg-config --libs dbus-glib-1`
| else
|         build_zemberek=no
| fi
| 
| AC_SUBST(ZEMBEREK_CFLAGS)
| AC_SUBST(ZEMBEREK_LIBS)
| 
| AM_CONDITIONAL(WITH_ZEMBEREK, test "x$build_zemberek" = "xyes")
| 
| zemberek_dir=${datadir}/enchant/zemberek
Comment 2 Fedora End Of Life 2013-07-04 00:11:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 08:57:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.